﻿@model Avira.MarketingResearch.Model.ViewModels.CompanyProfile.CompanyOrganizationViewModel
@{
    ViewData["Title"] = "Index";
    Layout = "~/Views/Shared/_LayoutWithCompanyTabAndLeftMenu.cshtml";
}
<script src="~/assets/plugins/jquery/jquery-1.8.2.min.js"></script>
<script type="text/javascript" src="https://www.google.com/jsapi"></script>
<h2>Index</h2>
@using (Html.BeginForm("Index", "CompanyOrganization", FormMethod.Post, new { id = "ComOrg", name = "ComOrg", @class = "" }))
{
    @Html.HiddenFor(Model => Model.CompanyId)
    @Html.HiddenFor(Model => Model.ProjectId)
    <div id="content" class="content">
        <div class="section-with-top-border">
            <div class="row">
                <div class="col-lg-6">
                    <div class="clearfix">
                        <h5 class="m-t-0">Project Name: @ViewBag.ProjectName</h5>
                    </div>
                </div>
                <div class="col-lg-6">
                    <div class="clearfix">
                        <h5 class="m-t-0">Company Name: @ViewBag.CompanyName</h5>
                    </div>
                </div>
            </div>
        </div>
        @Html.Hidden("CompanyId", (Guid?)ViewBag.CompanyId)
        <!-- end section-container -->
        <!-- begin section-container -->
        <!-- begin section-container -->
        <div class="section-container section-with-top-border">
            <div id="OrgChart">
            </div>
            @Html.Partial("~/Views/Shared/_CompanyAction.cshtml")
        </div>
    </div>
}
<script type="text/javascript">
    google.load("visualization", "1", { packages: ["orgchart"] });
    $(document).ready(function () {
        var sCompanyId = $('#CompanyId').val();
        drawOrgChart(sCompanyId);
    });
    function drawOrgChart(sCompanyId) {
        $.ajax({
            type: "GET",
            url: "/CompanyOrganization/LoadData",
            data: { Id: sCompanyId },
            contentType: "application/json; charset=utf-8",
            dataType: "json",
            success: function (OrgData) {

                var chartData = new google.visualization.DataTable();

                chartData.addColumn('string', 'Name');
                chartData.addColumn('string', 'Manager');
                chartData.addColumn('string', 'ToolTip');

                $.each(OrgData, function (index, row) {
                    var reportID = row.managerId.toString() == '00000000-0000-0000-0000-000000000000' ? '' : row.managerId;
                    chartData.addRows([[{
                        v: row.id.toString(),
                        //f: row.keyEmployeeName + '<div>(<span>' + row.designation + '</span>)'
                        f: '<div class="hv-item-parent"><p class="chart-para">' + row.keyEmployeeName + ' </p></div>' + '<div class="hv-item-child"><p class="chart-para">' + row.designation + ' </p></div>'
                    }, reportID, row.designation]]);
                });

                var chart = new google.visualization.OrgChart($("#OrgChart")[0]);
                chart.draw(chartData, { allowHtml: true });
            },
            failure: function (xhr, status, error) {
                alert("Failure: " + xhr.responseText);
            },
            error: function (xhr, status, error) {
                alert("Error: " + xhr.responseText);
            }
        });
    }
</script>
